Subject: cg-clean, cg-status improvements

From: Pavel Roskin <[email-masked]>
Date: Tue, 14 Feb 2006 10:28:19 -0500

Hello, Petr!

Is cogito 0.17 going to require git 1.2.0?  If so, I'm ready to submit a
patch for cg-clean that would use the fixed functionality of git
regarding ignores when run in subdirectories (commit
701ca744e386c2429ca44072ea987bbb4bdac7ce).  I think cg-status can be
improved as well.

If cogito 0.17 is not going to require git 1.2.0, I'm ready to add a
temporary workaround for older versions of git.

The problem with cg-clean right now is that it removes contents of
untracked directories by default, which makes it pointless to keep the
directories.  I submitted a patch for that, but it it wasn't noticed.
Anyway, I can do it better now.

-- 
Regards,
Pavel Roskin